#### D.6.14.2 ModEqn

Procedure from library `qhmoduli.lib` (see qhmoduli_lib).

Usage:
  ModEqn(f [, opt]); poly f; int opt;

Purpose:
  compute equations of the moduli space of semiquasihomogenos hypersurface singularity with principal part f w.r.t. right equivalence

Assume:
  f quasihomogeneous polynomial with an isolated singularity at 0

Return:
  polynomial ring, possibly a simple extension of the ground field of the basering, containing the ideal 'modid'
  - 'modid' is the ideal of the moduli space if opt is even (> 0). otherwise it contains generators of the coordinate ring R of the moduli space (note : Spec(R) is the moduli space)

Options:
  1 compute equations of the mod. space,
  2 use a primary decomposition,
  4 compute E_f0, i.e., the image of G_f0,
  to combine options, add their value, default: opt =7

Example:

    LIB "qhmoduli.lib";
    ring B   = 0,(x,y), ls;
    poly f = -x4 + xy5;
    def R = ModEqn(f);
    setring R;
    modid;
    ==> modid[1]=Y(5)^2-Y(4)*Y(6)
    ==> modid[2]=Y(4)*Y(5)-Y(3)*Y(6)
    ==> modid[3]=Y(3)*Y(5)-Y(2)*Y(6)
    ==> modid[4]=Y(2)*Y(5)-Y(1)*Y(6)
    ==> modid[5]=Y(4)^2-Y(3)*Y(5)
    ==> modid[6]=Y(3)*Y(4)-Y(2)*Y(5)
    ==> modid[7]=Y(2)*Y(4)-Y(1)*Y(5)
    ==> modid[8]=Y(3)^2-Y(2)*Y(4)
    ==> modid[9]=Y(2)*Y(3)-Y(1)*Y(4)
    ==> modid[10]=Y(2)^2-Y(1)*Y(3)

User manual for Singular version 4-0-3, 2016, generated by texi2html.